<?php
/**
 * The template for displaying the header
 *
 * Displays all of the head element and everything up until the "site-content" div.
 *
 * @package WordPress
 * @subpackage spiral-notebook
 * @since spiral-notebook 1.0
 */
?><!DOCTYPE html>
<html <?php language_attributes(); ?> class="no-js">
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="http://gmpg.org/xfn/11">
	<?php if ( is_singular() && pings_open( get_queried_object() ) ) : ?>
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
	<?php endif; ?>

	<?php wp_head(); ?>

</head>
<body <?php body_class(); ?>>
<a class="skip-link screen-reader-text" href="#content">
<?php esc_attr_e( 'Skip to content', 'spiral-notebook' ); ?></a>

	<div id="content-wrapper">

		<header>
			<nav class="navbar navbar-default navbar-static-top">
				<div class="container">

					<div class="navbar-header">
						<?php if ( has_nav_menu("primary") ): ?>
						<button type="button"
                                class="navbar-toggle collapsed"
                                data-toggle="collapse"
                                data-target="#navbar-responsive-collapse">
		    				<span class="sr-only screen-reader-text">
                            <?php esc_attr_e('Navigation', 'spiral-notebook'); ?></span>
							<span class="icon-bar"></span>
							<span class="icon-bar"></span>
							<span class="icon-bar"></span>
						</button>
						<?php endif ?>
						<a class="navbar-brand"
                            title="<?php bloginfo('description'); ?>"
                            href="<?php echo esc_url(home_url('/')); ?>"><img src="<?php echo esc_url( get_template_directory_uri() . '/assets/homepng.png' ); ?>" height="28" /></a>
					</div>

					<div id="navbar-responsive-collapse" class="collapse navbar-collapse">

	    <?php
            wp_nav_menu( array(
                'menu'              => 'primary',
                'theme_location'    => 'primary',
                'depth'             => 8,
                'container_id'      => 'spiral-notebook-navbar-collapse',
                'menu_class'        => 'nav navbar-nav',
                'fallback_cb'       => 'wp_page_menu()',
                'walker'            => new wp_bootstrap_navwalker())
            );
        ?>

					</div>
				</div>
			</nav>
		</header>

    <?php get_template_part('spiral'); ?><div class="clearfix"></div>
		<div id="page-content"><!-- ends in footer -->
			<div class="container">

                <div class="header-details-container">

                    <ul class="list-unstyled">
                    <li class="site-title"><a
                        href="<?php echo esc_url( home_url( '/' ) ); ?>"
                        title="<?php echo esc_attr( get_bloginfo( 'name' ) ); ?>">
                        <?php bloginfo('name') ?></a>
                    </li>
                    <li class="site-description">
                        <?php bloginfo('description') ?>
                    </li>
                    </ul>

                </div>
